Results 1 to 4 of 4

Thread: Yast modules not loading

  1. #1

    Default Yast modules not loading

    Hello,

    I'm working with a fresh install of Tumbleweed with everything up to date. I've added a couple of applications outside of the normal distro, Visual Studio Code and VmWare Horizon View. Somewhere along the lines that seems to have broken Yast. Yast will launch and prompt for password, but none of the modules will launch.

    I've tried running Yast from the CLI, it launches with a notice regarding wrong ownership on runtime directory, I've found forum threads that indicating this as just informational. Now when I try to launch a module I get the following:

    localhost:/run # yast2
    QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
    Run command: /sbin/yast2 sound &
    [FATAL] Failed to create timer thread: Invalid argument

    I've done some searching I've only found 1 recent post with no real response on the issue, and several posts that are rather old.
    Any suggestions?
    Thanks,
    Cy.

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,747

    Default Re: Yast modules not loading

    Generally caused by wrong ruby version

  3. #3

    Default Re: Yast modules not loading

    Try like this
    Code:
    sudo zypper in libyui-qt8 libyui-qt-pkg8

  4. #4

    Default Re: Yast modules not loading

    ruby --version shows the following:
    ruby 2.5.0p0 (2017-12-25 revision 61468) [x86_64-linux-gnu]


    So I am running libyui-qt7,and libyui-qt-pkg7. When I attempt to install 8 I get this requirement cannot be provided for libyui.so.8 and libzypp.so.1700.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •